maven-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Karl-Heinz Marbaise (JIRA)" <j...@codehaus.org>
Subject [jira] (JXR-108) Reports aggregated when no explicit reports are set
Date Mon, 27 Oct 2014 19:15:10 GMT

    [ https://jira.codehaus.org/browse/JXR-108?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=355045#comment-355045
] 

Karl-Heinz Marbaise edited comment on JXR-108 at 10/27/14 2:13 PM:
-------------------------------------------------------------------

Hi Michael,
the problem is located in your dependency in the rest module which uses
{code:xml}
<dependency>
  <groupId>javax.ws.rs</groupId>
  <artifactId>javax.ws.rs-api</artifactId>
  <version>2.0.1</version>
</dependency>
{code}
which build with Java 7 which is prevented by the usage of the org.apache.maven:maven-parent
which forces to use Java 5. There are some lines which printout exactly the location of the
failure:
{code}
[INFO] Artifact javax.ws.rs:javax.ws.rs-api:jar:2.0.1:compile contains .class compiled with
incorrect version
[WARNING] Rule 0: org.apache.maven.plugins.enforcer.EnforceBytecodeVersion failed with message:
Found Banned Dependency: javax.ws.rs:javax.ws.rs-api:jar:2.0.1
Use 'mvn dependency:tree' to locate the source of the banned dependencies.
{code}
So no relationship to the jxr area only your own dependencies.


was (Author: khmarbaise):
Hi Michael,
the problem is located in your dependency in the rest module which uses
{code:xml}
<dependency>
  <groupId>javax.ws.rs</groupId>
  <artifactId>javax.ws.rs-api</artifactId>
  <version>2.0.1</version>
</dependency>
{coee}
which build with Java 7 which is prevented by the usage of the org.apache.maven:maven-parent
which forces to use Java 5. There are some lines which printout exactly the location of the
failure:
{code}
[INFO] Artifact javax.ws.rs:javax.ws.rs-api:jar:2.0.1:compile contains .class compiled with
incorrect version
[WARNING] Rule 0: org.apache.maven.plugins.enforcer.EnforceBytecodeVersion failed with message:
Found Banned Dependency: javax.ws.rs:javax.ws.rs-api:jar:2.0.1
Use 'mvn dependency:tree' to locate the source of the banned dependencies.
{code}
So no relationship to the jxr area only your own dependencies.

> Reports aggregated when no explicit reports are set
> ---------------------------------------------------
>
>                 Key: JXR-108
>                 URL: https://jira.codehaus.org/browse/JXR-108
>             Project: Maven JXR
>          Issue Type: Bug
>          Components: maven2 jxr plugin
>    Affects Versions: 2.4
>         Environment: Maven 3.1
>            Reporter: Michael Osipov
>             Fix For: next-release
>
>         Attachments: jxr108-parent.zip
>
>
> I have declared the plugin in my parent POM reporting plugins section. The generated
site includes aggregated cross references from my modules though this was never set and the
aggregate flag is set to {{false}} by default. If one declares {{reportSets}} explicitly,
the problem goes away.



--
This message was sent by Atlassian JIRA
(v6.1.6#6162)

Mime
View raw message